# create CMakeLists.txt for external project
# required variables:
## HTMLDOC_INSTALL_URL - from where to download file (zip/tarball)
## HTMLDOC_INSTALL_DIR - directory where helper files will be stored such as CMakeLists.cmake file makefile
## HTMLDOC_SOURCE_DIR - direcotry which will contain unpacked files from server

set(HTMLDOC_INSTALL_URL \"https://github.com/flow123d/Flow123d-htmldoc/archive/master.zip\")
set(HTMLDOC_INSTALL_DIR "${CMAKE_BINARY_DIR}/htmldoc")
set(HTMLDOC_SOURCE_DIR  "${CMAKE_BINARY_DIR}/htmldoc/html")

set (cmakelists_fname "${HTMLDOC_INSTALL_DIR}/CMakeLists.txt")
message(STATUS "Creating temp CMakeLists file")
file (WRITE "${cmakelists_fname}"
"
## This file was autogenerated by InstallHTMLDOC.cmake
cmake_minimum_required(VERSION 2.8)
include(ExternalProject)
ExternalProject_Add(htmldoc
  DOWNLOAD_DIR      ${HTMLDOC_INSTALL_DIR}
  URL               ${HTMLDOC_INSTALL_URL}
  SOURCE_DIR        ${HTMLDOC_SOURCE_DIR}
  BINARY_DIR        ${HTMLDOC_SOURCE_DIR}
  CONFIGURE_COMMAND \"\"
  BUILD_COMMAND     \"\"
  INSTALL_COMMAND   \"\"
)
")

# run cmake
message(STATUS "Preparing external HTMLDOC project with cmake")
execute_process(COMMAND ${CMAKE_COMMAND} ${HTMLDOC_INSTALL_DIR}
  WORKING_DIRECTORY ${HTMLDOC_INSTALL_DIR}
  OUTPUT_FILE ${HTMLDOC_INSTALL_DIR}/cmake.log
RESULT_VARIABLE "HTMLDOC_CMAKE_RESULT")
message(STATUS "  Exit code ${HTMLDOC_CMAKE_RESULT}")
