#InstallYamlCpp.cmake
#
# Created on: Jul 20, 2012
#     Author: jb
#

# set directory to which install armadillo 
if (NOT EXTERNAL_YamlCpp_DIR)
    set(EXTERNAL_YamlCpp_DIR "${PROJECT_BINARY_DIR}/yamp_cpp_build")
endif()    
        
# A temporary CMakeLists.txt
set (cmakelists_fname "${EXTERNAL_YamlCpp_DIR}/CMakeLists.txt")
message(STATUS ${cmakelists_fname})
file (WRITE "${cmakelists_fname}"
"
  ## This file was autogenerated by InstallYamlCpp.cmake
  cmake_minimum_required(VERSION 2.8)
  include(ExternalProject)
  ExternalProject_Add(YamlCpp
    DOWNLOAD_DIR ${EXTERNAL_YamlCpp_DIR} 
    #GIT_REPOSITORY \"https://github.com/flow123d/yaml-cpp.git\"
    #GIT_TAG master
    #URL \"http://flow.nti.tul.cz/libraries/armadillo-3.4.3.tar.gz\"
    URL \"https://github.com/flow123d/yaml-cpp/archive/master.zip\"
    SOURCE_DIR ${EXTERNAL_YamlCpp_DIR}/src
    BINARY_DIR ${EXTERNAL_YamlCpp_DIR}/src
    #PATCH_COMMAND patch ${EXTERNAL_ARMADILLO_DIR}/src/CMakeLists.txt ${PROJECT_SOURCE_DIR}/third_party/armadillo_patch
    CONFIGURE_COMMAND cmake -DYAML_CPP_BUILD_TOOLS=OFF -DBOOST_ROOT=${BOOST_ROOT} -DCMAKE_INSTALL_PREFIX=${EXTERNAL_YamlCpp_DIR} .
    BUILD_COMMAND make yaml-cpp
    INSTALL_COMMAND make install 
  )
")

# run cmake
execute_process(COMMAND ${CMAKE_COMMAND} ${EXTERNAL_YamlCpp_DIR} 
    WORKING_DIRECTORY ${EXTERNAL_YamlCpp_DIR}
    OUTPUT_FILE ${EXTERNAL_YamlCpp_DIR}/cmake.log)

find_program (MAKE_EXECUTABLE NAMES make gmake)
# run make
execute_process(COMMAND ${MAKE_EXECUTABLE}                 
    WORKING_DIRECTORY ${EXTERNAL_YamlCpp_DIR}
    OUTPUT_FILE ${EXTERNAL_YamlCpp_DIR}/make.log)    


#file (REMOVE ${cmakelists_fname})

message(STATUS "YamlCpp build done")